Skip to Content

Get list of categories

Fetching category list

Listing categories is done by sending a GET request to the /categories endpoint.

curl -X GET https://app.ignitevideo.cloud/api/categories \ -H "Authorization: Bearer YOUR_TOKEN"

Query Parameters

For detailed information on all available operators and advanced filtering, see Querying. You can add the following URL query parameters to the request:

ParameterTypeDescription
pagenumberThe page number to fetch.
limitnumberThe number of categories to fetch per page.
sortstringThe field to sort by.
whereobjectCustom query to filter the categories.

Example

/api/categories?page=1&limit=10

API Response

The response is a JSON object with the following properties:

{ "docs": [...], // Array of category objects "totalDocs": number, "limit": number, "totalPages": number, "page": number, "pagingCounter": number, "hasPrevPage": boolean, "hasNextPage": boolean, "prevPage": number | null, "nextPage": number | null }